package cn.ibizlab.core.extensions.service;

import cn.ibizlab.core.extensions.domain.BaseEntity;
import cn.ibizlab.core.extensions.domain.IEntity;
import cn.ibizlab.core.extensions.domain.IField;
import cn.ibizlab.core.rule.domain.ExecLog;
import cn.ibizlab.util.errors.BadRequestAlertException;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 实体[DSTEntity] 服务对象接口
 */
public interface BaseEntityService extends IService<BaseEntity> {

	void resetKC(String keyC);
	List<BaseEntity> selectRow(String dblink, String sql);
	ExecLog processAll(BadRequestAlertException msg);
	void saveResult(IEntity param, String RULEID, String RULENAME, String RU_EXECRESULTNAME, String BUSINESSCAT, Integer RETVALUE, Object KEYVALUEFIELD, IField DOMAINSFIELD, IField METRICFIELD, IField TIMEFIELD, IField EXT1FIELD, IField EXT2FIELD);
 }